//*************************
//SKY BOX
//*************************
textures/gnz1/gnz1_starlightsky
//Copied and modified from common.shader located in pak0.pk3 by Raven Software.
{
	qer_editorimage textures/common/sky.tga
	q3map_surfacelight 125
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	skyParms env/stars 512 -
}


//*************************
//WATER
//*************************
textures/gnz1/gnz1_clear_calm1
//Copied and modified from liquids.shader located in pak0.pk3 by Id Software.		
{
	qer_editorimage textures/gnz1/gnz1_pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/gnz1/gnz1_pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/gnz1/gnz1_pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//*************************
//WARP CORE BLUE EFFECT
//*************************
//Copied and modified from engineering.shader located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
textures/gnz1/gnz1_coreblue
{
    qer_editorimage textures/engineering/core_mult.tga
    q3map_surfacelight 612
    surfaceparm nolightmap
    {
        map textures/engineering/core_energy.tga
        tcMod scale 0.35 0.14
        tcMod scroll -0.4 0.9
    }
    {
        map textures/engineering/core_energy.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.25 0.13
        tcMod scroll 0.75 -0.15
    }
    {
        map textures/engineering/core_energy.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.23 0.12
        tcMod scroll 0.4 -0.85
    }
    {
        map textures/engineering/core_mult.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.15 0.3
        tcMod scroll -0.8 -0.6
    }
}

//*************************
//WARP CORE RED EFFECT
//*************************
//Copied and modified from scavenger.shader located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
textures/gnz1/gnz1_corered
{
    qer_editorimage textures/scavenger/k_core_energy.tga
    q3map_surfacelight 612
    surfaceparm nolightmap
    {
        map textures/scavenger/k_core_energy.tga
        tcMod scale 0.35 0.14
        tcMod scroll -0.4 0.9
    }
    {
        map textures/scavenger/k_core_energy.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.25 0.13
        tcMod scroll 0.75 -0.15
    }
    {
        map textures/scavenger/k_core_energy.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.23 0.12
        tcMod scroll 0.4 -0.85
    }
    {
        map textures/scavenger/k_core_mult.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.15 0.3
        tcMod scroll -0.8 -0.6
    }
}


//*************************
//WARP CORE LIGHT FLOOR
//This is a new version of the engineering-mainfloor texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/mainfloorlite
//This is a new version of the engineering-mainfloor texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
{
    //This is a standard "glowing" texture.
    qer_editorimage textures/engineering/mainfloor.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/engineering/mainfloor.tga

    }
}

//*************************
//WALKWAY LIGHT RED TEAM
//This is a new version of the engineering-walkwaylightf texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/gnz1_walkwaylightf_red
{
    qer_editorimage textures/gnz1/gnz1_walkwaylightf_red.tga
    q3map_surfacelight 1225
    surfaceparm nolightmap
    {
        map textures/gnz1/gnz1_walkwaylightf_red.tga
    }
}


//*************************
//HALLWAY BLUE BLINKING LIGHT PANEL 
//*************************
//This is a new version of the hall-secondhall_tex_ra texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
textures/gnz1/gnz1_secondhall_tex_rablue
{
    qer_editorimage textures/hall/secondhall_tex.tga
    {
        map $lightmap
    }
    {
        map textures/hall/secondhall_tex.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/gnz1/gnz1_secondhall_tex_glowblue.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave square 0 1 0 0.8
    }
}

//*************************
//HEALTH PAD BLUE
//This is a new version of the common-transpad_healthblue texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/gnz1_healthpad_blue
{
    qer_editorimage textures/common/transpad_healthblue.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/common/transpad_healthblue.tga

    }
}

//*************************
//HEALTH PAD RED
//This is a new version of the common-transpad_healthred texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/gnz1_healthpad_red
{
    qer_editorimage textures/common/transpad_healthred.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/common/transpad_healthred.tga

    }
}

//*************************
//TRANSPORTER BACK GLASS RED
//This is a new version of the transporter-backglass1 texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/gnz1_backglass1_red
{
    qer_editorimage textures/gnz1/gnz1_backglass1_red.tga
    q3map_surfacelight 612
    surfaceparm nolightmap
    {
        map textures/gnz1/gnz1_backglass1_red.tga
    }
    {
        map textures/transporter/panelmult.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 1 0.25
        tcMod scroll 0.02 0.15
    }
}


//*************************
//CONTROL PANEL DISPLAY:
//BLUE TEAM "DON'T PANIC"
//*************************
textures/gnz1/gnz1_conpanel_blue
//This is a new version of the engineering-conpanel texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
{
    //q3map_surfacelight 2500
    qer_editorimage textures/engineering/conpaneldm.tga
    //(Actually a JPEG.)
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/engineering/conpaneldm.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_lcar1_blue.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//CONTROL PANEL DISPLAY:
//RED TEAM "DON'T PANIC"
//*************************
textures/gnz1/gnz1_conpanel_red
//This is a new version of the engineering-conpanel texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
{
    //q3map_surfacelight 2500
    qer_editorimage textures/engineering/conpaneldm.tga
    //(Actually a JPEG.)
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/engineering/conpaneldm.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_lcar1_red.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//CONTROL PANEL DISPLAY:
//ENGPANV1
//*************************
textures/gnz1/gnz1_engpanv1
//This is a new version of the engineering-engpanv1 texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
{
    qer_editorimage textures/gnz1/gnz1_engpanv1a.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_engpanv1a.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/gnz1/gnz1_engpanv1b.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//CONTROL PANEL DISPLAY:
//ENGCON1
//*************************
textures/gnz1/gnz1_engcon1
//This is a new version of the engineering-engcon1 texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
{
    //This is a standard "glowing" texture.
    qer_editorimage textures/engineering/engcon1.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/engineering/engcon1.tga

    }
}

//*************************
//CONTROL PANEL DISPLAY:
//OPSPANEL1
//*************************
textures/gnz1/gnz1_opspanel_wide
{
    qer_editorimage textures/voyager/opspanel_wide.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/voyager/opspanel_wide.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/voyager/opspanel_wide1.tga
        blendFunc GL_ONE GL_ONE
    }
    {
		animMap 5 textures/voyager/opspanel_widescreen1.tga textures/voyager/opspanel_widescreen8.tga textures/voyager/opspanel_widescreen7.tga textures/voyager/opspanel_widescreen6.tga textures/voyager/opspanel_widescreen5.tga textures/voyager/opspanel_widescreen4.tga textures/voyager/opspanel_widescreen3.tga textures/voyager/opspanel_widescreen2.tga 
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//CONTROL PANEL DISPLAY:
//POWER DISTRIBUTION PANEL
//*************************
//This is a new version of the engineering-powerdist_b texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
textures/gnz1/gnz1_powdist_b
{
    //This is a standard "glowing" texture.
    qer_editorimage textures/engineering/powdist_b.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/engineering/powdist_b.tga

    }
}

//*************************
//CONTROL PANEL DISPLAY:
//ENGINEERING UPPER CONSOLE 1
//*************************
//This is a new version of the engineering-uppercon1 texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
textures/gnz1/gnz1_uppercon1
{
    //This is a standard "glowing" texture.
    qer_editorimage textures/engineering/uppercon1.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/engineering/uppercon1.tga

    }
}

//*************************
//CONTROL PANEL DISPLAY:
//ENGINEERING PANEL
//This is a new version of the engineering-panel texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/gnz1_panel
{
    qer_editorimage textures/gnz1/gnz1_panela.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_panela.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/gnz1/gnz1_panelb.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//CONTROL PANEL DISPLAY:
//ENGINEERING PANEL 1 BLUE TEAM
//This is a new version of the engineering-panel1 texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/gnz1_panel1_blue
{
    qer_editorimage textures/gnz1/gnz1_panel1b_blue.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_panel1a.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/gnz1/gnz1_panel1b_blue.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//CONTROL PANEL DISPLAY:
//ENGINEERING PANEL 1 RED TEAM
//This is a new version of the engineering-panel1 texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
//*************************
textures/gnz1/gnz1_panel1_red
{
    qer_editorimage textures/gnz1/gnz1_panel1b_red.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_panel1a.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/gnz1/gnz1_panel1b_red.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}


//*************************
//ENGINEERING CIRCUTRY BLUE
//*************************
textures/gnz1/gnz1_lowerpanel_blue
//This is a new version of the engineering-lowerpanel texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
{
    qer_editorimage textures/gnz1/gnz1_lowerpanela.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_lowerpanela.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/gnz1/gnz1_lowerpanelb_blue.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//ENGINEERING CIRCUTRY RED
//*************************
textures/gnz1/gnz1_lowerpanel_red
//This is a new version of the engineering-lowerpanel texture located in pak0.pk3 by Raven Software.
//It is not intended to infringe copyrights, but to maintain visual consistency
//with other arena maps released by Raven Software.
{
    qer_editorimage textures/gnz1/gnz1_lowerpanela.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/gnz1/gnz1_lowerpanela.tga
        //(This is the "frame". Actually a JPEG.)
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/gnz1/gnz1_lowerpanelb_red.tga
        //(This is the "contents". Actually a JPEG.)
        blendFunc GL_ONE GL_ONE
    }
}

//*************************
//GRACIE-LOU FREEBUSH ON MST3K (BLUE TEAM)
//*************************
//Miss Congeniality featured on Mystery Science Theater 3000?
//This must be the work of Gracie-Lou Freebush!
textures/gnz1/gnz1_missconmst3k_blue
{
    qer_editorimage textures/gnz1/gracieloufreebushblue.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/gnz1/gracieloufreebushblue.tga

    }
}

//*************************
//GRACIE-LOU FREEBUSH ON MST3K (RED TEAM)
//*************************
//Miss Congeniality featured on Mystery Science Theater 3000?
//This must be the work of Gracie-Lou Freebush!
textures/gnz1/gnz1_missconmst3k_red
{
    qer_editorimage textures/gnz1/gracieloufreebushred.tga
    q3map_surfacelight 175
    surfaceparm nolightmap
    {
        map textures/gnz1/gracieloufreebushred.tga

    }
}


//*************************
//DUELING WARP CORES LEVEL TITLE DECAL
//*************************
//*************************
textures/gnz1/duelingwarpcores
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/gnz1/duelingwarpcores.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//*************************
//DUELING WARP M.GUNNER QUIST SIGNATURE DECAL
//*************************
//*************************
textures/gnz1/ctf_duelcore_mgunnerquist_signature
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/gnz1/ctf_duelcore_mgunnerquist_signature.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//*************************
//PILLBOX SIGN
//*************************
//*************************
textures/gnz1/gnz1_pillbox
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/gnz1/gnz1_pillbox.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

